com.smartgwt.client.types

## Enum ValidationMode

- java.lang.Object
- - java.lang.Enum<ValidationMode>
  - - com.smartgwt.client.types.ValidationMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ValidationMode>

      public enum ValidationMode
      extends java.lang.Enum<ValidationMode>
      implements ValueEnum

  Mode of validation used for running validation on partially entered data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL` Assume provided data is complete and run all validation rules
    `PARTIAL` Validate only the data values that are present ignoring the absence of required fields, validators that refer to fields that are not present, and any conditional validators dependent on fields that are not present.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ValidationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ValidationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL

          public static final ValidationMode FULL

      Assume provided data is complete and run all validation rules

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "full".

    - #### PARTIAL

          public static final ValidationMode PARTIAL

      Validate only the data values that are present ignoring the absence of required fields, validators that refer to fields that are not present, and any conditional validators dependent on fields that are not present.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "partial".

  - ### Method Detail

    - #### values

          public static ValidationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationMode c : ValidationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`